Introduction

About ForceVision

ForceVision is an award-winning freeware bitmap image viewer application with an attractive ease of use and advanced graphics manipulation capabilities. Being a lightweight yet powerful software it combines both a graphic files navigation and an image processing just fine. Scanning and printing possibilities will widely expand your opportunities!

Slideshow, full-screen and thumbnails views are basic modes of the viewer serve to properly improve. Image brightness, contrast, color adjustment, flip, rotate, resize, format conversion and many other viewer's functions handy help improving digital photos within seconds.

Embedded professional graphic filters are a definite asset for a creative individual. Highly customizable program configuration and modes will smoothly serve your everyday needs without annoying features redundancy.

See also:
System requirements
What's new?

© 2003-2005 Dmitry Malyshev
© 2004-2005 CoderTown


Features

ForceVision Features

ForceVision is a powerful tool for bitmap images viewing, editing and format converting. ForceVision abilities are:

  • Support of 46 different graphics formats
  • Agressive rendering for rapid image processing
  • Balanced and Quality rendering for extreme image quality
  • Multiwindow user interface allows to use your desktop space more efficiently
  • Multilanguage user interface support
  • Multiuser support
  • Thumbnails mode
  • Full-screen mode
  • Slide-show
  • Scan and print
  • Format Converting
  • Includes more than 30 filters and effects!
  • 30 image transitions types!
  • Automatic layouts brings the ultimate compatibility with XP themes
  • Allows to assign file association icons of your choice!
  • Keeps your favourite paths

See also:
Supported file types
What's new?


System requirements

System requirements for ForceVision

Minimal system requirements are:

  • 75MHz Intel Pentium Processor or AMD equivalent
  • Microsoft Windows 9x/2000/ME/XP or 2003
  • 32 MB of RAM

Optimal system requirements:

  • 1.7GHz Intel Pentium IV Processor or AMD equivalent
  • Microsoft Windows XP or 2003
  • 256 MB of available RAM or higher


Installation

Installing ForceVision

ForceVision's installation procedure is very easy: it is takes only two steps.

To install ForceVision:

  1. Double click on the installation file or
  2. Choose Start > Run. Click Browse and choose the setup file. Click OK in the Run dialog box..
  3. Follow the onscreen instructions.

Uninstalling ForceVision

Select Start > Programs > ForceVision > Uninstall.


What's new?

ForceVision 3.10.4:

Enhanced:

  • file associations assignment

Fixed:

  • I/O error 103 were still executed in some cases
  • file's information in some cases did not correspond to the loaded image
  • found bugs

ForceVision 3.10.3:

Fixed:

  • I\O error 103 message at the start
  • found bugs

ForceVision 3.10.2:

Added:

  • now image resolution and color information is displayed under thumbnails

Enhanced:

  • RAW formats loading speed (loading halfsize)
  • optimized memory use
  • several minor enhancements

Fixed:

  • when program starts the first image were loaded twice
  • bug in 3.10.1: didn't store Favorites list
  • thumbnails' sizes were incorrect
  • found bugs

ForceVision 3.10.1:

Enhanced:

  • Navigator panel moved to the bottom of Browser window
  • better response of Navigator panel to a mousewheel

Fixed:

  • Hourglass cursor bug
  • loading\saving options (Note: first start of ForceVision 3.10.1 will reset all options to defaults)
  • found bugs

ForceVision 3.10:

Added:

  • now you can scroll image with Ctrl key pressed even if another selection mode was selected
  • selection menu button to the ToolBar
  • zoom menu button to the ToolBar
  • crop menu item to the image popupmenu
  • now alpha channel is saved also with LZW compression

Enhanced:

  • now Status bar displays true color information about image (not internal ForceVision format)
  • now Navigator window will work even if Viewer window is hidden
  • now you can navigate through images with mousewheel and focused Navigator panel
  • mouse wheel will zoom image if Ctrl key is pressed
  • mouse middle button enables Full-Screen mode
  • Full-Screen start\stop speed was greatly improved
  • now it is possible to change zoom ratio in any zoom mode
  • Viewer window will be shown automatically when Slide-Show starts
  • Viewer window will be shown automatically when program starts with parameter
  • the images in thumbnails are resampled only if it is greater than thumbnail size
  • added shortcuts to the buttons hints on ToolBar's

Fixed:

  • animated GIF caused problems in viewing of certain file types in some cases
  • image winking while loading new image, when old image has zoom different from 100%
  • forcing Full-Screen with hidden Viewer window cause an error
  • now forcing Full-Screen will not result in zoom ratio lost
  • zoom ratio was always displayed at 100% after Full-Screen
  • loading image specified as parameter on the program start
  • zoom ratio is now displayed correctly when mousewheel in use
  • bug loading interlaced PNG
  • tiff, cannot read palettes with values from 0 to 255
  • bug loading compressed TGA
  • the first file in a folder was not opened when ForceVision starts
  • Status bar was not updated after image was pasted
  • found bugs

(!) The License Agreement has been updated.

© 2003-2005 Dmitry Malyshev
© 2004-2005 CoderTown


Supported file types

Supported Formats

Viewing (in alphabetical order)

  • Camera RAW (CRW; CR2; NEF; RAW; PEF; RAF; X3F; BAY; ORF; SRF; MRW; DCR)
  • CompuServe Bitmap (GIF)
  • Enhanced Windows Metafile (EMF)
  • JPEG Bitmap (JPG; JPEG; JPE)
  • JPEG2000 (JP2)
  • JPEG2000 Code Stream (J2K; JPC; J2C)
  • Multipage PCX (DCX)
  • PaintBrush (PCX)
  • Portable Network Graphics (PNG)
  • Portable Pixmap, GrayMap, BitMap (PXM; PPM; PGM; PBM)
  • Targa Bitmap (TGA; TARGA; VDA; ICB; VST; PIX)
  • TIFF Bitmap (TIF; TIFF; FAX; G3N; G3F)
  • Windows Bitmap (BMP; DIB; RLE)
  • Windows Cursor (CUR)
  • Windows Icon (ICO)
  • Windows Metafile (WMF)
  • Wireless Bitmap (WBMP)

Save As (in alphabetical order)

  • Adobe PDF (PDF)
  • CompuServe Bitmap (GIF)
  • Enhanced Windows Metafile (EMF)
  • JPEG Bitmap (JPG; JPEG; JPE)
  • JPEG2000 (JP2)
  • JPEG2000 Code Stream (J2K; JPC; J2C)
  • Multipage PCX (DCX)
  • PaintBrush (PCX)
  • Portable Network Graphics (PNG)
  • Portable Pixmap, GrayMap, BitMap (PXM; PPM; PGM; PBM)
  • PostScript Level 2 (PS; EPS)
  • Targa Bitmap (TGA; TARGA; VDA; ICB; VST; PIX)
  • TIFF Bitmap (TIF; TIFF; FAX; G3N; G3F)
  • Windows Bitmap (BMP; DIB; RLE)
  • Windows Icon (ICO)
  • Windows Metafile (WMF)
  • Wireless Bitmap (WBMP)

Batched Format Converting (in alphabetical order)

  • JPEG Bitmap (JPG; JPEG; JPE)
  • Portable Network Graphics (PNG)
  • Targa Bitmap (TGA; TARGA; VDA; ICB; VST; PIX)
  • TIFF Bitmap (TIF; TIFF; FAX; G3N; G3F)
  • Windows Bitmap (BMP; DIB; RLE)

See also:
What's new?


Opening files

In ForceVision, you can easily open bitmap images created in other graphics programs. In addition, you can import images from a digital camera or scanner.

To open a file in the List-mode:

  1. Select folder which contains files you want to see.
  2. Select a file in the displayed file list.
  3. Use hotkeys to see other files in the folder.

To open a file in the Thumbnails-mode:

  1. Select folder which contains files you want to see
  2. Select one of the displayed thumbnails.
  3. Use hotkeys to see other files in the folder.

To open a file via menu

  1. Choose File > Open. The Open dialog box appears.
  2. Select the file and click Open.

See also:
Import images


Saving files

As long as ForceVision allows image modification, you can save changed file. Specifiy a new file name for the file. ... The file displayed in the Viewer window is your source file, or working file.

To save working file:

  1. Choose File > Save As. Save As window will appear.
  2. Type filename in the Filename window.
  3. Select file type from the combo-box below.
  4. Press Option button to set extra saving options, which is determined by selected file type. Press Ok button to close appeared window.
  5. Press Save button to save image.

See also:
Format converting


Importing images

Importing images into ForceVision

You can import images from a digital camera or scanner. You can import images from a scanner or digital camera only if it is TWAIN compliant. Images imported into ForceVision from a scanner or digital camera available at Viewer window.

ForceVision cannot import from image scanners or digital cameras unless the appropriate software drivers, modules, and plug-ins have been installed. For specific instructions about installation, settings, and options, consult your scanner or camera documentation for the TWAIN module.

To import an image from a scanner or digital camera:

  1. Connect the scanner or camera to your computer.
  2. Install the software that accompanies the scanner or camera if you have not already done so.
  3. In ForceVision, choose File > Select Source and choose a TWAIN module that corresponds to the device from which you are importing an image. Press OK button to close the window.
  4. Choose File > Acquire.

See also:
Opening files


Format converting

It is often required to convert file format to continue your work with it. ForceVision allows file format converting batch processing.

To convert file format:

  1. Select Tools > Format Converting.
  2. Select files which you want to convert from Current folder listbox and press > button to add them to the converting list. Or press >> button to add all files from the Current folder. Press Next >.
  3. Select one of the available formats.
  4. Select file extension which corresponds to the format.
  5. Define output folder by pressing … button.
  6. Press Convert to start format converting.

See also:
Saving files


Adjust

ForceVision embedded professional graphic filters are a definite asset for a creative individual.

The adjust options are available from Adjust menu at Browser window.

Flip Horizontally

Flips current image horizontally.

Flip Vertically

Flips current image vertically.

Crop

Crops selected region.

Resample

Image resampling (pixel dimention resizing).

Remove Red-eyes

Use this filter to remove red-eyes on your photos. You can apply the function to the whole image, but it is recommended to select only the area in question i.e. an eye itlelf, otherwise other parts of the image can be affected.

Levels

Use Equalization filter to level colors manually.

Sharpness

Performs a sharpening to an image.

Contrast and Brightness

Use Contrast and Brightness filter to adjust contrast and brightness.

Hue/Saturation/Value

Use HSV filter to adjust hue, saturation, and value.

Hue/Saturation/Lightness

Use HSL filter to adjust hue, saturation, and lightness.

Red/Green/Blue

Use RGB filter to adjust Red, Green, and Blue channels.

Convert to BW (Black and White)

Converts current selection to levels of gray. The image will be always in true color.

Gamma

Use Gamma filter to adjust gamma level and Red, Green, and Blue channels.

See also:
Filters


Filters

Effects

ForceVision embedded professional graphic filters are a definite asset for a creative individual.

The filters are available from Filter menu at Browser window.

Blur

Performs a Gaussian Blur filter.

Edge detect

Detects edges on image for current selection.

Negative

Inverts all colors of current selection.

Equalize

Equalizes colors of current selection.

Emboss

Adds emboss effect to current selection.

BumpMap

BumpMap applies the bump mapping effect to the current image. You can specify source light position using Top and Left edit boxes. In addition, you can click on preview window to determine source light position. Use Width and Height edit boxes to specify width and height of the source light. You can also specify the percentage of the effect to apply to the original image. Use color palette to select the source light color.

Lens

Applies lens effect to the current image. You can specify lens position using Top and Left edit boxes. In addition, you can click on preview window to determine lens position. Use Width and Height edit boxes to specify lens size. You can also specify lens refraction.

Wave

Applies a wave effect to the current image.

Morph

Applies a morph effect to the pixels of the current image.

Fast Fourier Transform

Applies Fast Fourier Transform.

User Defined

Use User Defined to create your own filters. Create your own filters via 3x3 matrix and divisor. You can save and load your filters. In addition, you can use predefined presets.

Highpass 1..3

Use Highpass to add highpass effect to current selection. There are three highpass presets.

Lowpass 1..2

Use Lowpass to add Lowpass effect to current selection. There are two lowpass presets.

See also:
Adjust


Hotkeys

ForceVision Hotkeys

Hotkey | Action
Ctrl+O | Open...
Ctrl+L | Open URL...
Ctrl+P | Print...
Alt+X | Exit
Ctrl+Z | Undo...
Ctrl+Y | Redo...
Ctrl+C | Copy...
Ctrl+V | Paste...
Shift+Ctrl+1 | Folders
Shift+Ctrl+2 | Address
Shift+Ctrl+3 | Viewer
Shift+Ctrl+4 | Tools
Shift+Ctrl+T | ToolBar
Shift+Ctrl+B | Status bar
Ctrl+1 | Auto-Center
Ctrl+2 | Normal Zoom
Ctrl+3 | Auto-Zoom
Ctrl+4 | Auto-Shrink
Ctrl+0 | 100% Zoom
Shift+Ctrl+F | Full-Screen
F8 | Thumbnails
F11 | List
Shift+Ctrl+F1 | Automatic Left-Sided Layout
Shift+Ctrl+F2 | Automatic Right-Sided Layout
Ctrl+D | Clear Selection
Ctrl+G | Go To
Shift+Ins | Add Folder To Favorites
Shift+Del | Delete Folder From Favorites
Ctrl+Del | Erase Favorites List
Ctrl+S | Slide-Show
Ctrl+F | Convert File Format
Alt+O | Options…
Ctrl+J | Rotate…
Ctrl+R | Resample…
F1 | ForceVision Help

Viewer window

Hotkey | Action
Shift+Ctrl+F, Double-Click, Enter | Full-Screen
Right arrow, Down arrow, Spacebar, Page Up, Mousewheel | Next image
Left arrow, Up arrow, Backspace, Page Down, Mousewheel | Previous image
Ctrl+Mouse | Image Scrolling


FAQ

Frequency Asked Questions

Q: Should I buy or register ForceVision?
A: No, the ForceVision is a freeware (kind of). It's free. But, you cannot use it in commercial products or sell it.

Q: I want to translate ForceVision into another language. What should I do?
A: Download string tables from Download Center, translate them and send them to us!

Q: I have found a bug in the program. What should I do?
A: For your convinence there is a ForceVision Support Forum were you can ask your question, describe a problem or just express your opinion about the ForceVision Image Viewer. Our Support and Development team will be glad to help you! To post a message you'll have to Register on the CoderTown Forum. ForceVision Discussion allows posts from unregistred users. If you'd like to receive ForceVision Newsletter, please join appropriate Usergroup.

Q: Why does php-page is downloaded instead of ForceVision Installation or any additions?
A: Disable you download manager and try to download using basic browser's features.

Q: ForceVision does not display cyrillic characters.
A: Even though you have no cyrillic locale enabled in your system, you may have cyrillic fonts displayed properly. You just need to change some registry settings. Download a fix with instructions from our Download Center.

Q: Does ForceVision have an API or SDK?
A: ForceVision does not have an API and SDK.